Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 555114 - media-video/libav: add openh264 support
Summary: media-video/libav: add openh264 support
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on: 561332
Blocks:
  Show dependency tree
 
Reported: 2015-07-16 21:18 UTC by Ari Entlich
Modified: 2020-04-26 15:23 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ari Entlich 2015-07-16 21:18:24 UTC
OpenH264 is an H.264 encoder and decoder open-sourced by Cisco under the BSD license. It is used by Firefox for WebRTC support and can also be used by ffmpeg and libav as an H.264 encoder[1][2]. It looks to me like ffmpeg includes this support as of version 2.6[3] and libav will include it in a future major release[4]. OpenH264 is already in the tree as media-libs/openh264.

[1] https://www.ffmpeg.org/general.html#OpenH264
[2] https://libav.org/documentation/general.html#OpenH264
[3] https://git.videolan.org/?p=ffmpeg.git;a=blob;f=Changelog;hb=HEAD
[4] https://git.libav.org/?p=libav.git;a=blob;f=Changelog;hb=HEAD

Reproducible: Always
Comment 1 Alexis Ballier gentoo-dev 2015-07-18 14:56:22 UTC
# Ian Stakenvicius <axs@gentoo.org> (03 Dec 2014)
# masked for testing
media-libs/openh264


it's masked, not much we can do atm i fear
Comment 2 Alexis Ballier gentoo-dev 2015-10-16 11:16:12 UTC
commit 8c4b67318807e959b1292142a0d0f5e8d2de1ae5
Author: Alexis Ballier <aballier@gentoo.org>
Date:   Fri Oct 16 13:15:16 2015 +0200

    media-video/ffmpeg: Add openh264 support in live ebuild. Bug #555114.
Comment 3 Larry the Git Cow gentoo-dev 2020-04-26 15:23:46 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ae1063b59ef317fdc6dd640b60437f6fb143a2ac

commit ae1063b59ef317fdc6dd640b60437f6fb143a2ac
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2020-04-26 15:14:48 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2020-04-26 15:22:46 +0000

    media-video/libav: remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=452482
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=458768
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=470764
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=499256
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=509974
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=519602
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=525070
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=555114
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=564040
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=587054
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=588986
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=701952
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=538790
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=711206
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=489922
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=409957
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=445854
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=474408
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=509294
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=522350
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=546080
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=588482
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=603726
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=694082
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=634102
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=542186
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=635524
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=651218
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=651220
    
    Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>

 media-video/libav/Manifest                    |   3 -
 media-video/libav/files/libav-12.3-x264.patch |  85 -------
 media-video/libav/libav-12.3.ebuild           | 350 --------------------------
 media-video/libav/libav-13_pre20171219.ebuild | 336 -------------------------
 media-video/libav/libav-9999.ebuild           | 339 -------------------------
 media-video/libav/metadata.xml                |  35 ---
 6 files changed, 1148 deletions(-)